Debian Bug report logs - #646499
webdruid: FTBFS: output.c:1867:13: error: format not a string literal and no format arguments [-Werror=format-security]

version graph

Package: src:webdruid; Maintainer for src:webdruid is Debian QA Group <packages@qa.debian.org>;

Reported by: Mònica Ramírez Arceda <monica@probeta.net>

Date: Mon, 24 Oct 2011 15:39:10 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version webdruid/0.5.4-12

Fixed in version webdruid/0.5.4-12.1

Done: Mònica Ramírez Arceda <monica@probeta.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Klaus Reimer <kay@debian.org>:
Bug#646499; Package src:webdruid. (Mon, 24 Oct 2011 15:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
New Bug report received and forwarded. Copy sent to Klaus Reimer <kay@debian.org>. (Mon, 24 Oct 2011 15:39:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: submit@bugs.debian.org
Subject: webdruid: FTBFS: output.c:1867:13: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Mon, 24 Oct 2011 13:26:43 +0200
Source: webdruid
Version: 0.5.4-12
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20111022 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -D_LARGEFILE64_SOURCE -DLOCALEDIR=\"/usr/share/locale\" -DWEBDRUIDDATADIR=\"/usr/share/webdruid/\" -DSYSCONFDIR=\"/etc\" -DHAVE_CONFIG_H -DUSE_DNS -DUSE_IPV6  -c output.c
> output.c: In function 'top_sites_table':
> output.c:909:22: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
> output.c:909:16: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
> output.c: In function 'top_urls_table':
> output.c:1097:22: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
> output.c:1097:16: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
> output.c: In function 'top_entry_table':
> output.c:1295:18: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
> output.c:1295:12: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
> output.c: In function 'top_refs_table':
> output.c:1399:22: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
> output.c:1399:16: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
> output.c: In function 'top_agents_table':
> output.c:1563:22: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
> output.c:1563:16: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
> output.c: In function 'generate_sengines_info':
> output.c:1867:13: error: format not a string literal and no format arguments [-Werror=format-security]
> output.c:1867:13: error: format not a string literal and no format arguments [-Werror=format-security]
> output.c: In function 'top_users_table':
> output.c:2086:22: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
> output.c:2086:16: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
> cc1: some warnings being treated as errors
> 
> make[1]: *** [output.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/10/22/webdruid_0.5.4-12_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Klaus Reimer <kay@debian.org>:
Bug#646499; Package src:webdruid. (Sun, 04 Dec 2011 13:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
Extra info received and forwarded to list. Copy sent to Klaus Reimer <kay@debian.org>. (Sun, 04 Dec 2011 13:51:10 GMT) Full text and rfc822 format available.

Message #10 received at 646499@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 646499@bugs.debian.org
Subject: webdruid: diff for NMU version 0.5.4-12.1
Date: Sun, 4 Dec 2011 14:46:26 +0100
[Message part 1 (text/plain, inline)]
tags 646499 + patch
thanks

Dear maintainer,

I've prepared an NMU for webdruid (versioned as 0.5.4-12.1) to
fix this bug.

Thanks for your work!
[webdruid-0.5.4-12.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Mònica Ramírez Arceda <monica@probeta.net> to control@bugs.debian.org. (Sun, 04 Dec 2011 13:51:11 GMT) Full text and rfc822 format available.

Reply sent to Mònica Ramírez Arceda <monica@probeta.net>:
You have taken responsibility. (Sun, 04 Dec 2011 17:39:11 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 17:39:12 GMT) Full text and rfc822 format available.

Message #17 received at 646499-close@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 646499-close@bugs.debian.org
Subject: Bug#646499: fixed in webdruid 0.5.4-12.1
Date: Sun, 04 Dec 2011 17:36:34 +0000
Source: webdruid
Source-Version: 0.5.4-12.1

We believe that the bug you reported is fixed in the latest version of
webdruid, which is due to be installed in the Debian FTP archive:

webdruid_0.5.4-12.1.debian.tar.gz
  to main/w/webdruid/webdruid_0.5.4-12.1.debian.tar.gz
webdruid_0.5.4-12.1.dsc
  to main/w/webdruid/webdruid_0.5.4-12.1.dsc
webdruid_0.5.4-12.1_amd64.deb
  to main/w/webdruid/webdruid_0.5.4-12.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646499@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mònica Ramírez Arceda <monica@probeta.net> (supplier of updated webdruid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 04 Dec 2011 14:32:41 +0100
Source: webdruid
Binary: webdruid
Architecture: source amd64
Version: 0.5.4-12.1
Distribution: unstable
Urgency: low
Maintainer: Klaus Reimer <kay@debian.org>
Changed-By: Mònica Ramírez Arceda <monica@probeta.net>
Description: 
 webdruid   - A web server log file analysis tool
Closes: 646499
Changes: 
 webdruid (0.5.4-12.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * add.format.arguments.patch: add format argument to avoid format-security
     error while building. (Closes: #646499)
Checksums-Sha1: 
 b4b0186f19e7c989106f08810f7ea2365a35374e 1855 webdruid_0.5.4-12.1.dsc
 82d6c8731a3ea2f3d1c72aa6f9f937fa91129576 6817 webdruid_0.5.4-12.1.debian.tar.gz
 dcf59622046646387323e3ca3b3036979ef95877 356010 webdruid_0.5.4-12.1_amd64.deb
Checksums-Sha256: 
 b5df3d988f9c270d4591167d806e2dae5df0f268485e14e76c4bc2d961e93316 1855 webdruid_0.5.4-12.1.dsc
 f4d8f05909801ef6d60570e1aed97795a231a56972820ed3c0d92c27c51ed1d8 6817 webdruid_0.5.4-12.1.debian.tar.gz
 fba31b6ff98076b0cf1298635b9d7a1caf6c377fa8e9ff45a7f5050044cf70e6 356010 webdruid_0.5.4-12.1_amd64.deb
Files: 
 0245c6232a0f5e0b05030fc8903717ab 1855 web optional webdruid_0.5.4-12.1.dsc
 4b6e3161ada5479649d4ae1ab107353b 6817 web optional webdruid_0.5.4-12.1.debian.tar.gz
 00cae11010ca6be78903eb32e692ebb6 356010 web optional webdruid_0.5.4-12.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJO26xVAAoJELNGT4lqoVlI5zQP/A2MxsUWD4mRQpOjKO2CH9Z/
hTXx38LtNUtzw58J5i4ga9jyXnTZ5BuDaKtbk+ANEjVCSyHrwEFx3E2LrlwSNZvO
V+wrKNHlkmskGu6PXRJU+PMU/ZjJWvnwxNXU3CDMdVbeqW7HZIGCH0QFZRUoMT9x
f35pJtWM6ctA7LdUX13xvr6PSlIxx74T2H5ovpLDA2RkOeBEyFI5cltjvHCa22yF
cMI2fBzbUcpTX4Ec9XrsNgb9FeME2P8MuGXf6K7bdyfBPARtXB+CICfWeGLyotDD
xn9D9GDB9CguN/RcRt9I8LBh4q7ybN3Fc+DmGUDJtAcqdHluDdh91RfuY0MtVnhT
84qd1X8TwNYkJm4rEyUquijY2uu7Sf1mWtBQ2nk6lctp/fYZ6DZVPjix565kMLDi
U1gAQyPEpa3E4CQ3ummQVvjg90yDmSAIVrVeNZ1LT471THDa5qoih0YtZQMxBFBb
KHxUC0lvJQRq5cL+HhSMoxI1Pxtm6a156+yFO8B5FCRQxkpeR3F5OI8plsWsRE4J
nY+ZeHQtpETdQQQjaj6tBDGE03GWI5Et2BWR5HisyQ0ckXUw/2NJ8PJq5HnzvbnZ
MNr0DXbOpGdZ59LegTAp2oui7KeoAar9OLti9a7El5tBDJvXntHpW1x1X34nhDqj
zPgcJ8y8tPOs1Ca0s1kS
=0ekk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jan 2012 07:43:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:28:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.